Bug 839119 - Review Request: albatross - Desktop Suite for Xfce, GTK+ 2 and 3
Review Request: albatross - Desktop Suite for Xfce, GTK+ 2 and 3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Dan Mashal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 22:32 EDT by Jayson Rowe
Modified: 2012-07-23 16:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-20 22:52:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jayson Rowe 2012-07-10 22:32:56 EDT
Spec URL: http://jaysonr.fedorapeople.org/packages/albatross/albatross.spec
SRPM URL: http://jaysonr.fedorapeople.org/packages/albatross/Albatross-1.2-4.fc17.src.rpm
Description: Albatross is a theme for GTK2/3 and xfwm4/metacity. The Albatross GTK theme is designed upon the Alvaro theme, from James Schriver. Albatross is designed to be smooth: no rough borders, no contrasted edges, no violent contrasts, a soft blue colour. Albatross currently uses a slightly modified version of Xfwm4.6′s default window decorations, made by Olivier Fourdan.
Fedora Account System Username: jaysonr

I am a new packager and I need a sponsor.
Comment 1 Jayson Rowe 2012-07-10 22:34:50 EDT
Here is a link to the successful koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4232573
Comment 2 Jayson Rowe 2012-07-11 20:11:07 EDT
I just caught an error I made in the .spec resulting in capitalized names...
I've updated the spec, srpm and re-ran my koji scratch build. They can be found below:

spec: http://jaysonr.fedorapeople.org/packages/albatross/albatross.spec
srpm: http://jaysonr.fedorapeople.org/packages/albatross/albatross-1.2-4.fc17.src.rpm
koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4235326
Comment 3 Dan Mashal 2012-07-12 01:15:38 EDT
First issue off hand:

[dan@Fedora17 SPECS]$ rpmlint bluebird.specbluebird.spec: W: invalid-url Source0: shimmerproject-Bluebird-v0.6-1-g5aa322d.tar.gz0 packages and 1 specfiles checked; 0 errors, 1 warnings.[dan@Fedora17 SPECS]$

Please check.

Also please upload a .tar.gz to your fedora people site (not required but i'd appreciate it.)

Dan
Comment 5 Jayson Rowe 2012-07-12 06:43:24 EDT
Dan, here is the .spec from an approved package of another of the Shimmer themes I used as my basis: http://athmane.fedorapeople.org/pkgs/greybird.spec

It gives the same warning with rpmlint.

Can you help me understand what that means, and how I should fix it?
Comment 6 Kevin Fenzi 2012-07-12 16:46:47 EDT
There's no real nice way to handle github source urls currently, so this rpmlint warning can be ignored for now. ;( 

Look for a review here in a while.
Comment 7 Kevin Fenzi 2012-07-12 17:16:35 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv2+ or CC-BY-SA)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream sha256sum:
93b5b9bfebc7f75f25f9f62a6e0593d41e95e7724f4d24fcf9d3fa13e615a626  shimmerproject-Albatross-v1.2-6-g6fead95.tar.gz
93b5b9bfebc7f75f25f9f62a6e0593d41e95e7724f4d24fcf9d3fa13e615a626  shimmerproject-Albatross-v1.2-6-g6fead95.tar.gz.1

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. There's a bit of Release confusion going on. 
You have: 

Release:        4%{?dist}

but the changelog has: 

* Tue Jul 10 2012 Jayson Rowe <jaysonr@fedoraproject.org> 1.2-6

I'd suggest both should be 1 initally, then 2, etc. 
So, if you could fix the above changelog entry to be 1.2-1, 
then add a new 1.2-2 for the changes from this review, that would be great. 

2. rpmlint says: 

Can be ignored: 

albatross.src: W: spelling-error %description -l en_US metacity -> meta city, meta-city, mendacity
albatross.src: W: spelling-error %description -l en_US colour -> color, co lour, co-lour

Can you trim the description down some: 

albatross.src: E: description-line-too-long C Albatross is a theme for GTK2/3 and xfwm4/metacity. The Albatross GTK theme is designed upon the Alvaro theme, from James Schriver. Albatross is designed to be smooth: no rough borders, no contrasted edges, no violent contrasts, a soft blue colour. Albatross currently uses a slightly modified version of Xfwm4.6′s default window decorations, made by Olivier Fourdan.

As mentioned, this one can be ignored: 

albatross.src: W: invalid-url Source0: shimmerproject-Albatross-v1.2-6-g6fead95.tar.gz
5 packages and 0 specfiles checked; 1 errors, 3 warnings.
Comment 9 Kevin Fenzi 2012-07-14 13:43:59 EDT
Those changes look good, I see no further blockers, so this package is APPROVED.
Comment 10 Jayson Rowe 2012-07-14 15:10:13 EDT
New Package SCM Request
=======================
Package Name: albatross
Short Description: Desktop Suite for Xfce, GTK+ 2 and 3
Owners: jaysonr
Branches: f16 f17
InitialCC: kevin
Comment 11 Gwyn Ciesla 2012-07-14 22:44:59 EDT
SCM and summary package names don't match, please correct.
Comment 12 Jayson Rowe 2012-07-14 22:59:12 EDT
Hi Jon,
I'm not entirely sure what you mean. What should I change? (I am a new packager).
Comment 13 Jayson Rowe 2012-07-14 23:02:37 EDT
I think I figured it out.
Comment 14 Jayson Rowe 2012-07-14 23:03:00 EDT
New Package SCM Request
=======================
Package Name: albatross
Short Description: Desktop Suite for Xfce, GTK+ 2 and 3
Owners: jaysonr
Branches: f16 f17
InitialCC: kevin
Comment 15 Jason Tibbitts 2012-07-14 23:48:52 EDT
Git done (by process-git-requests).
Comment 16 Jayson Rowe 2012-07-15 10:03:10 EDT
Caught a versioning issue with the Unico theme engine - fixed, and updated files here:

spec: http://jaysonr.fedorapeople.org/packages/albatross/albatross.spec
srpm: http://jaysonr.fedorapeople.org/packages/albatross/albatross-1.2-3.fc17.src.rpm
Comment 17 Fedora Update System 2012-07-15 10:35:25 EDT
albatross-1.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/albatross-1.2-3.fc17
Comment 18 Fedora Update System 2012-07-15 10:36:56 EDT
albatross-1.2-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/albatross-1.2-3.fc16
Comment 19 Fedora Update System 2012-07-15 11:39:56 EDT
albatross-1.2-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/albatross-1.2-3.fc16
Comment 20 Fedora Update System 2012-07-15 12:08:28 EDT
albatross-1.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/albatross-1.2-3.fc17
Comment 21 Fedora Update System 2012-07-15 12:09:13 EDT
albatross-1.2-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/albatross-1.2-3.fc16
Comment 22 Fedora Update System 2012-07-15 17:25:03 EDT
albatross-1.2-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 23 Fedora Update System 2012-07-20 22:52:45 EDT
albatross-1.2-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 24 Fedora Update System 2012-07-23 16:25:46 EDT
albatross-1.2-3.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.